OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_Root Class Reference

This class implements the common services for
all classes of StepToTopoDS which report error
and sets and returns precision.
.

`#include <StepToTopoDS_Root.hxx>`

Inheritance diagram for StepToTopoDS_Root:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_Boolean | IsDone () const
Standard_Real | Precision () const
| Returns the value of "MyPrecision" .
void | SetPrecision (const Standard_Real preci)
| Sets the value of "MyPrecision" .
Standard_Real | MaxTol () const
| Returns the value of "MaxTol" .
void | SetMaxTol (const Standard_Real maxpreci)
| Sets the value of MaxTol .
## Protected Member Functions
Standard_EXPORT | StepToTopoDS_Root ()
## Protected Attributes
Standard_Boolean | done
## Private Attributes
Standard_Real | myPrecision
Standard_Real | myMaxTol

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_Root::StepToTopoDS_Root | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_Boolean StepToTopoDS_Root::IsDone | ( |  | ) | const`[inline]`

Standard_Real StepToTopoDS_Root::MaxTol | ( |  | ) | const`[inline]`

void StepToTopoDS_Root::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in StepToTopoDS_Builder, StepToTopoDS_MakeTransformed, StepToTopoDS_TranslateCompositeCurve, StepToTopoDS_TranslateCurveBoundedSurface, StepToTopoDS_TranslateEdge, StepToTopoDS_TranslateEdgeLoop, StepToTopoDS_TranslateFace, StepToTopoDS_TranslatePolyLoop, StepToTopoDS_TranslateShell, StepToTopoDS_TranslateVertex, and StepToTopoDS_TranslateVertexLoop.

void* StepToTopoDS_Root::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in StepToTopoDS_Builder, StepToTopoDS_MakeTransformed, StepToTopoDS_TranslateCompositeCurve, StepToTopoDS_TranslateCurveBoundedSurface, StepToTopoDS_TranslateEdge, StepToTopoDS_TranslateEdgeLoop, StepToTopoDS_TranslateFace, StepToTopoDS_TranslatePolyLoop, StepToTopoDS_TranslateShell, StepToTopoDS_TranslateVertex, and StepToTopoDS_TranslateVertexLoop.

void* StepToTopoDS_Root::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in StepToTopoDS_Builder, StepToTopoDS_MakeTransformed, StepToTopoDS_TranslateCompositeCurve, StepToTopoDS_TranslateCurveBoundedSurface, StepToTopoDS_TranslateEdge, StepToTopoDS_TranslateEdgeLoop, StepToTopoDS_TranslateFace, StepToTopoDS_TranslatePolyLoop, StepToTopoDS_TranslateShell, StepToTopoDS_TranslateVertex, and StepToTopoDS_TranslateVertexLoop.

Standard_Real StepToTopoDS_Root::Precision | ( |  | ) | const`[inline]`

void StepToTopoDS_Root::SetMaxTol | ( | const Standard_Real | maxpreci | ) | `[inline]`

void StepToTopoDS_Root::SetPrecision | ( | const Standard_Real | preci | ) | `[inline]`

## Field Documentation

Standard_Boolean StepToTopoDS_Root::done`[protected]`

Standard_Real StepToTopoDS_Root::myMaxTol`[private]`

Standard_Real StepToTopoDS_Root::myPrecision`[private]`

The documentation for this class was generated from the following files:

- StepToTopoDS_Root.hxx
- StepToTopoDS_Root.lxx